<?php

$installer = $this;
/* @var $installer Mage_Core_Model_Resource_Setup */
$installer->startSetup();

Mage::log('Payzone installer script started');


try
{
	$installer->run("
	UPDATE `{$installer->getTable('sales_flat_order_payment')}` SET method = 'payzonegateway' WHERE method = 'tpg';
	UPDATE `{$installer->getTable('sales_flat_quote_payment')}` SET `method` = 'payzonegateway' WHERE `method` = 'tpg';
	DELETE FROM `{$installer->getTable('sales_order_status')}` WHERE (`status`='pzg_failed_hosted_payment');
	DELETE FROM `{$installer->getTable('sales_order_status')}` WHERE (`status`='pzg_failed_threed_secure');
	DELETE FROM `{$installer->getTable('sales_order_status')}` WHERE (`status`='pzg_paid');
	DELETE FROM `{$installer->getTable('sales_order_status')}` WHERE (`status`='pzg_pending');
	DELETE FROM `{$installer->getTable('sales_order_status')}` WHERE (`status`='pzg_pending_hosted_payment');
	DELETE FROM `{$installer->getTable('sales_order_status')}` WHERE (`status`='pzg_pending_threed_secure');
	DELETE FROM `{$installer->getTable('sales_order_status')}` WHERE (`status`='pzg_refunded');
	DELETE FROM `{$installer->getTable('sales_order_status')}` WHERE (`status`='pzg_voided');
	DELETE FROM `{$installer->getTable('sales_order_status')}` WHERE (`status`='pzg_preauth');
	DELETE FROM `{$installer->getTable('sales_order_status')}` WHERE (`status`='pzg_collected');

	INSERT INTO `{$installer->getTable('sales_order_status')}` (`status`, `label`) VALUES ('pzg_failed_hosted_payment', 'Payzone - Failed Payment');
	INSERT INTO `{$installer->getTable('sales_order_status')}` (`status`, `label`) VALUES ('pzg_failed_threed_secure', 'Payzone - Failed 3D Secure');
	INSERT INTO `{$installer->getTable('sales_order_status')}` (`status`, `label`) VALUES ('pzg_paid', 'Payzone - Successful Payment');
	INSERT INTO `{$installer->getTable('sales_order_status')}` (`status`, `label`) VALUES ('pzg_pending', 'Payzone - Pending Payment');
	INSERT INTO `{$installer->getTable('sales_order_status')}` (`status`, `label`) VALUES ('pzg_pending_hosted_payment', 'Payzone - Pending Hosted Payment');
	INSERT INTO `{$installer->getTable('sales_order_status')}` (`status`, `label`) VALUES ('pzg_pending_threed_secure', 'Payzone - Pending 3D Secure');
	INSERT INTO `{$installer->getTable('sales_order_status')}` (`status`, `label`) VALUES ('pzg_refunded', 'Payzone - Payment Refunded');
	INSERT INTO `{$installer->getTable('sales_order_status')}` (`status`, `label`) VALUES ('pzg_voided', 'Payzone - Payment Voided');
	INSERT INTO `{$installer->getTable('sales_order_status')}` (`status`, `label`) VALUES ('pzg_preauth', 'Payzone - PreAuthorized');
	INSERT INTO `{$installer->getTable('sales_order_status')}` (`status`, `label`) VALUES ('pzg_collected', 'Payzone - Payment Collected');


");
}
catch(Exception $exc)
{
	Mage::log("Error during script installation: ". $exc->__toString());
}

Mage::log('Payzone 1.1.0.1 installer script ended');

$installer->endSetup();
