<?php

$installer = $this;
/* @var $installer Mage_Core_Model_Resource_Setup */
$installer->startSetup();

Mage::log('Payzone upgrader script started');


try
{
	$installer->run("
	UPDATE `{$installer->getTable('sales_flat_order_payment')}` SET method = 'payzonegateway' WHERE method = 'tpg';
	UPDATE `{$installer->getTable('sales_flat_quote_payment')}` SET `method` = 'payzonegateway' WHERE `method` = 'tpg';
");
}
catch(Exception $exc)
{
	Mage::log("Error during script upgrader: ". $exc->__toString());
}

Mage::log('Payzone 1.2,9 upgrader script ended');

$installer->endSetup();
